
%define _requires_exceptions libtiff.so.4

Summary:	Slimjet Web Browser
Name:		slimjet
Version:	10.0.7.0
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		http://www.slimjet.com/en/
Source1:	slimjet.png
Source2:	quickdialsites_us.txt
Source3:	pclinuxos.jpg
Source5:	slimjet.desktop
Source6:	slimjet.png
Provides: webclient
Requires: indexhtml
Requires: xdg-utils
Obsoletes: %{name} < %version
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
AutoReqProv: no
#-----------------------------------------------------

%description
Slimjet is built on top of the Chromium open-source project on which Google Chrome is also based.
It enjoys the same speed and reliablity provided by the underlying blink engine as Google Chrome.
However, many additional features and options have been added in Slimjet to make it more powerful,
intelligent and customizable than Chrome. In addition to that, Slimjet DOES NOT send any usage
statistics back to Google's server like Google Chrome, which is a growing concern for many
Chrome users due to the ubiquitous presence and reach of the advertising empire.


%prep


%build
#nobuild

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

#nosrc
%ifarch x86_64
cd $RPM_BUILD_DIR && wget --no-check-certificate -O - "http://www.slimjet.com/release/slimjet_amd64.tar.xz" | tar -xJf -
%endif
                                
%ifarch %ix86
cd $RPM_BUILD_DIR && wget --no-check-certificate -O - "http://www.slimjet.com/release/slimjet_i386.tar.xz" | tar -xJf -
%endif


mkdir -p %{buildroot}/opt/%{name}
cp -R $RPM_BUILD_DIR/%{name}/* %{buildroot}/opt/%{name}/


# The SUID sandbox helper binary was found
# but is not configured correctly.
chmod 4755 %buildroot/opt/slimjet/slimjet-sandbox

#our customization
#install -m 0644 %SOURCE2 %{buildroot}/opt/%{name}/default/quickdial/quickdialsites_us.txt
#install -m 0644 %SOURCE3 %{buildroot}/opt/%{name}/default/quickdial/sitelogos/pclinuxos.jpg
                                                 

#Menu
mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE5 %buildroot/%{_datadir}/applications/slimjet.desktop


#Icon
mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE6 %buildroot/%{_datadir}/pixmaps/slimjet.png

#symlink
mkdir -p  %buildroot/%{_bindir}
ln -fs /opt/slimjet/flashpeak-slimjet %buildroot/%{_bindir}/flashpeak-slimjet


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/flashpeak-slimjet
/opt/%{name}/*
%{_datadir}/pixmaps/slimjet.png
%{_datadir}/applications/slimjet.desktop


%changelog
* Sun Jul 03 2016 bb <bb> 10.0.7.0-1pclos2016
- update

* Sat Jun 25 2016 bb <bb> 10.0.6.0-1pclos2016
- update

* Thu Jun 07 2016 bb <bb> 10.0.5.0-1pclos2016
- update

* Thu May 26 2016 bb <bb> 10.0.2.0-1pclos2016
- update

* Sat May 21 2016 bb <bb> 10.0.1.0-1pclos2016
- update

